Sensor
Op deze pagina
- POST /sensor/
- Verzoek body
- Responsen
- POST /sensor/filter
- Verzoek body
- Responses
- PUT /sensor/isolate?sensorId={sensorId}&enable={enable}
- Parameters
- Reacties
- POST /sensor/listBySiteIds
- Request body
- Responses
- POST /sensor/search
- Request body
- Responses
- GET /sensor/{id}
- Parameters
- Responsen
- PUT /sensor/{id}
- Parameters
- Verzoekbody
- Responsen
- DELETE /sensor/{id}
- Parameters
- Responsen
- GET /sensor/{id}/streamingEndpoints
- Parameters
- Reacties
Operaties op sensor‑bronnen. 9 eindpunten, elk relatief ten opzichte van https://api.nxgen.cloud/api/v1 en geauthenticeerd zoals beschreven onder Authenticatie.
POST /sensor/
Maak nieuwe Sensor
Verzoek body
Voeg een Sensor toe
{
"payload": [
{
"id": "string",
"siteEventProviderId": "string",
"customerEventProviderId": "string",
"customerId": "string",
"serviceProvidersEventProviderId": "string",
"associatedDeviceName": "string",
"associatedDeviceId": "string",
"catalogName": "string",
"commercialName": "string (required)",
"deviceType": "string",
"sensorType": "string",
"description": "string",
"macAddress": "string",
"modelNo": "string",
"hardwareVersion": "string",
"firmwareVersion": "string",
"manafacturer": "string",
"jsonSchema": "object",
"photos": [
"string"
],
"specification": "string",
"geoCordinates": {
"latitude": "string",
"longitude": "string",
"plusCode": "string",
"what3Words": "string"
},
"siteParent": "string",
"siteId": "string",
"assetStatus": "string",
"tags": [
"string"
],
"eventTags": [
"string"
],
"channelId": "number",
"type": "string",
"syncStatus": "boolean",
"isPtzCamera": "boolean",
"isThermalCamera": "boolean"
}
]
}Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
400 | Ongeldige invoer | |
401 | Niet toegestaan | |
403 | Verboden |
POST /sensor/filter
Haal sensorlijst op met filteren, sorteren en paginering. Het ondersteunt zoeken op hiërarchisch niveau. Het kan gefilterd worden met opgegeven hiërarchie of gebruikt de hiërarchie van de aangemelde gebruiker. Dit biedt de mogelijkheid om extra entiteitsvelden in de respons op te nemen. Tevens worden configuratiemetagegevens over de entiteit geleverd.
Verzoek body
Sensorfiltering en sortering
{
"filters": [
{
"columnName": "string (required)",
"type": "distinctList | date | number | StringConditionFilter (required)",
"filter": "object (required)"
}
],
"sortOrder": [
{
"columnName": "string",
"isAscending": "boolean"
}
],
"primaryColumns": [
"string"
],
"hierarchyLevel": "string",
"hierarchyId": "string",
"nPerPage": "number",
"pageNumber": "number",
"isConfigDetailRequired": "boolean",
"getConfig": "boolean",
"getChildOrParent": "boolean"
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | object |
204 | Geen inhoud | |
400 | Ongeldige invoer | |
401 | Niet geautoriseerd | |
403 | Forbidden |
Example 200 respons:
{
"config": {
"columns": [
{
"visibility": true,
"columnName": "commercialName",
"DisplayName": "Sensor",
"isFilterable": true,
"filterType": "stringCondition",
"sticky": true,
"isRightBorder": true,
"isMandatory": true,
"isNotDraggable": true
}
],
"defaultNPerPage": 50,
"defaultFilterCondition": [],
"defaultSortingOrder": [
{
"columnName": "dateTime",
"isAscending": false
}
],
"maxVisibleColumnCount": 6,
"exportLimitNPerPage": 500
},
"dataResult": [
{
"commercialName": "Camera 01",
"assetStatus": "active",
"enableAudio": "Disabled",
"manafacturer": "HSION",
"uniqueId": "b89e4e809ce547f01234567eba36f825",
"dateTime": 1648453119079,
"associatedDeviceId": "e5560be4e809ce547f012547f76547f01234",
"associatedDeviceName": "Device"
},
{
"commercialName": "Camera 03",
"assetStatus": "active",
"enableAudio": "Disabled",
"manafacturer": "HSION",
"uniqueId": "p05e4e107ce547f7654321eba36f790",
"dateTime": 1648453119079,
"associatedDeviceId": "561eba3591c690ed03c4547f0123456345c4",
"associatedDeviceName": "Device"
}
],
"totalRecordsCount": 3552,
"filteredBy": [],
"sortedBy": [
{
"columnName": "dateTime",
"isAscending": false
}
],
"dispatchedAll": false,
"isDefaultProjectionMutated": false,
"isDefaultFilterMutated": false,
"isDefaultSortingMutated": false
}PUT /sensor/isolate?sensorId={sensorId}&enable={enable}
Update isolation for sensor
Parameters
Naam | In | Type | Vereist | Beschrijving |
|---|---|---|---|---|
sensorId | query | string | ja | |
enable | query | boolean | ja | |
isolateStartTime | query | number | nee | |
duur | query | number | nee |
Reacties
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
401 | Niet geautoriseerd | |
403 | Verboden | |
404 | Niet gevonden |
POST /sensor/listBySiteIds
Haal sensoren op basis van site‑id‑lijst
Request body
Haal sensoren
{
"siteIds": [
"string"
]
}Responses
Status | Description | Body |
|---|---|---|
200 | Succes | object |
204 | Geen inhoud | |
400 | Ongeldige invoer | |
401 | Niet toegestaan | |
403 | Verboden |
Voorbeeld 200 respons:
{
"data": [
{
"key": "7f01237864567eba89736f825",
"label": "sensor",
"deviceId": "ce546437f01234567e6f825",
"deviceName": "device",
"siteName": "site",
"customerName": "customer"
}
]
}POST /sensor/search
Zoek sensoren
Request body
Zoek sensoren
{
"skip": "number",
"limit": "number",
"siteName": "string",
"siteId": "string (required)",
"sensorName": "string",
"isAll": "boolean",
"searchTag": [
"string"
]
}Responses
Status | Description | Body |
|---|---|---|
200 | Succes | object |
400 | Ongeldige invoer | |
401 | Niet toegestaan | |
403 | Verboden | |
404 | Niet gevonden |
Voorbeeld 200 respons:
{
"data": [
{
"sensorId": "89d42e2953b8b5d662b3006bfdd444e",
"name": "Camera 03",
"isActive": true,
"type": "camera",
"mapInfo": {
"latitude": "13.035775322405794",
"longitude": "80.17819431590344",
"plusCode": "25PH+87 Chennai, Tamil Nadu, India",
"what3Words": "climbing.rested.alongside",
"zone": ""
}
}
],
"isSuccess": true
}GET /sensor/{id}
Ophalen op sensor‑ID
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
id | path | string | ja |
Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
401 | Niet toegestaan | |
403 | Verboden | |
404 | Niet gevonden |
PUT /sensor/{id}
Bewerk een bestaande sensor
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
id | pad | string | ja |
Verzoekbody
{
"payload": {
"id": "string",
"siteEventProviderId": "string",
"customerEventProviderId": "string",
"customerId": "string",
"imageFile": "string",
"serviceProvidersEventProviderId": "string",
"associatedDeviceName": "string",
"associatedDeviceId": "string",
"catalogName": "string",
"commercialName": "string (required)",
"deviceType": "string",
"sensorType": "string",
"description": "string",
"macAddress": "string",
"modelNo": "string",
"hardwareVersion": "string",
"firmwareVersion": "string",
"manafacturer": "string",
"jsonSchema": "object",
"jsonSchemaResult": "object",
"eventTypes": [
"object"
],
"actionSupported": [
"object"
],
"photos": [
"object"
],
"photoSizeInPixel": [
"object"
],
"specification": "string",
"assetId": "string",
"prerequisite": [
"object"
],
"geoCordinates": {
"latitude": "string",
"longitude": "string",
"plusCode": "string",
"what3Words": "string",
"zone": "string"
},
"siteParent": "string",
"siteId": "string",
"assetStatus": "string",
"tags": [
"string"
],
"eventTags": [
"string"
],
"isInArmState": "boolean",
"uniqueId": "string",
"channelId": "number",
"syncStatus": "boolean",
"roiCoordinates": [
[
"number"
]
],
"isIsolate": "boolean",
"isolatedTime": "string",
"isolateStartTime": "string",
"isPtzCamera": "boolean",
"isThermalCamera": "boolean",
"enableAudio": "boolean",
"timerMaskCoordinates": [
[
"number"
]
],
"analyticsROI": [
"object"
],
"analytics": "object",
"analyticsSPDefined": [
"object"
]
}
}Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
400 | Ongeldige invoer | |
401 | Niet toegestaan | |
403 | Verboden |
DELETE /sensor/{id}
Verwijder een sensor op id
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
id | pad | string | ja | |
forceDelete | query | string | nee | force delete sensor |
Responsen
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
400 | Ongeldige invoer | |
401 | Niet geautoriseerd | |
403 | Verboden |
GET /sensor/{id}/streamingEndpoints
Streaming‑eindpunten ophalen
Parameters
Naam | In | Type | Verplicht | Beschrijving |
|---|---|---|---|---|
id | pad | string | ja | Sensor‑id |
startTime | query | nummer | nee | Epoch‑tijd in milliseconden |
endTime | query | nummer | nee | Epoch‑tijd in milliseconden |
verval | query | nummer | nee | In seconden |
Reacties
Status | Beschrijving | Body |
|---|---|---|
200 | Succes | |
204 | Geen inhoud | |
401 | Niet toegestaan | |
403 | Verboden | |
404 | Niet gevonden |
Bedankt — uw feedback gaat naar het team dat deze pagina beheert.